Skip to main content
GET
/
partner
/
{partner_id}
/
student
List Students
curl --request GET \
  --url https://api.example.com/partner/{partner_id}/student \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "partner_id": 123,
    "full_name": "<string>",
    "status": "active",
    "joined_at": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "primary_contact": "<string>",
    "notes": "<string>",
    "user_id": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

partner_id
integer
required

강사 ID

Query Parameters

status
string | null
q
string | null

이름/이메일/연락처 검색

limit
integer
default:200
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

id
integer
required
partner_id
integer
required
full_name
string
required
status
enum<string>
required
Available options:
active,
inactive,
archived
joined_at
string<date-time>
required
email
string | null
primary_contact
string | null
notes
string | null
user_id
integer | null